Subject: bug#5322 closed by Jan Djärv <[email-masked]> (Re: 23.1.90; vc-dir for subdir broken for Bzr)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 07 Jan 2010 07:36:02 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#5322: 23.1.90; vc-dir for subdir broken for Bzr

It has been closed by Jan Djärv <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jan Djärv <[email-masked]> by
replying to this email.

-- 
5322: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5322
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 23.1.90; vc-dir for subdir broken for Bzr
From: Jan Djärv <[email-masked]>
To: [email-masked], [email-masked]
Date: Thu, 07 Jan 2010 08:35:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

FWIW, I can't reproduce this anymore.  I guess some of the recent vc-br 
changes fixed it.

	Jan D.

Subject: 23.1.90; vc-dir for subdir broken for Bzr
From: [email-masked] (Jan Djärv)
To: [email-masked]
Date: Tue, 05 Jan 2010 15:11:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

If I do C-x v d .../fixes/src <RETURN>
I get this list:

VC backend : Bzr
Working dir: /home/jhd/src/bzr/emacs/fixes/src/
Parent branch      : /home/jhd/src/bzr/emacs/trunk
Shelves            : No shelved changes

                         ./
                         src/
    unregistered         src/.BAK.xterm.c
    edited               src/gtkutil.c
    unregistered         src/tag-files
    edited               src/xterm.c
    unregistered         src/xterm.c.new
    unregistered         src/xx.el

But if I for example tries to click on gtkutil.c to open it, or try to get
the difference, the backend tries to open .../src/src/gtkutil.c.
= (show diff) on gtkutil.c gives:
bzr: ERROR: Path(s) are not versioned: src/src/gtkutil.c

Compare to CVS where this works fine.  There is no src/-prefix is in the
listing:

VC backend : CVS
Working dir: /home/jhd/src/emacs/src/
Repository : [email-masked]:/cvsroot/emacs/
Module     : emacs/src

                         ./
    unregistered         buildobj.lst
    unregistered         dynfn.el
    edited               gtkutil.c

In GNU Emacs 23.1.90.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.18.3)
 of 2009-12-17 on gaffa
Windowing system distributor `The X.Org Foundation', version 11.0.10604000
configured using `configure  '--prefix=/opt/emacs-cvs' '--verbose' '--enable-asserts' 'CFLAGS=-g''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: sv_SE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: C/lah

Minor modes in effect:
  diff-auto-refine-mode: t
  delete-selection-mode: t
  icomplete-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
e , SPC a s SPC t h e SPC <backspace> <backspace> <backspace> 
<backspace> w e SPC d o n ' t SPC k n o w SPC y e t 
SPC i f SPC w e SPC w i l l SPC b e SPC r e s i z e 
d . SPC SPC * / C-x C-s C-a <f2> <return> <help-echo> 
<down-mouse-1> <mouse-1> C-x 1 C-s M o v e C-a C-s 
C-s C-s C-s C-a <up> C-n C-SPC C-n C-n C-w C-x C-s 
<down-mouse-1> <mouse-1> T h i s SPC m u s t SPC b 
e SPC d o n e SPC a f t e r <return> t h e SPC <down-mouse-1> 
<mouse-1> <double-down-mouse-1> <mouse-movement> <mouse-movement> 
<double-drag-mouse-1> <down-mouse-2> <mouse-2> SPC 
a n d SPC <down-mouse-1> <mouse-movement> <drag-mouse-1> 
<down-mouse-1> <mouse-movement> <mouse-movement> <drag-mouse-1> 
<down-mouse-1> <mouse-1> <double-down-mouse-1> <mouse-movement> 
<mouse-movement> <double-drag-mouse-1> <down-mouse-2> 
<mouse-2> SPC a b o v e . SPC <backspace> <return> 
C-x C-s <up> <tab> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <left> <return> <tab> <down> C-a <backspace> 
<escape> SPC SPC C-x C-s C-a <escape> < C-x b C-g C-x 
v d <return> <help-echo> <help-echo> <down-mouse-1> 
<mouse-2> <help-echo> <down-mouse-1> <mouse-2> <help-echo> 
<help-echo> <help-echo> <down-mouse-1> <mouse-1> C-x 
k <return> <help-echo> <help-echo> <help-echo> <down-mouse-1> 
<mouse-1> C-x v d <return> <help-echo> <help-echo> 
<down-mouse-1> <mouse-1> <help-echo> <down-mouse-3> 
<help-echo> C-x k <return> <help-echo> <help-echo> 
<help-echo> <down-mouse-3> <help-echo> <help-echo> 
<help-echo> C-x k <return> C-x 1 M-x r e p o r t - 
e m <tab> <return>

Recent messages:
Wrote /home/jhd/src/bzr/emacs/fixes/src/gtkutil.c
Mark set [2 times]
Saving file /home/jhd/src/bzr/emacs/fixes/src/gtkutil.c...
Wrote /home/jhd/src/bzr/emacs/fixes/src/gtkutil.c
Saving file /home/jhd/src/bzr/emacs/fixes/src/gtkutil.c...
Wrote /home/jhd/src/bzr/emacs/fixes/src/gtkutil.c
Mark set
Quit
Use M-x make-directory RET RET to create the directory and its parents [2 times]
Finding changes in /home/jhd/src/bzr/emacs/fixes/src/src/xterm.c...done

Load-path shadows:
None found.

Features:
(shadow sort mail-extr message sendmail ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock
hashcash mail-utils emacsbug diff-mode easy-mmode vc-sccs vc-svn vc-cvs
vc-rcs vc-dir ewoc vc vc-dispatcher thingatpt imenu compile comint ring
multi-isearch vc-bzr sha1 hex-util desktop msb delsel icomplete cc-mode
cc-fonts easymenu cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs regexp-opt time tooltip ediff-hook vc-hooks lisp-float-type
mwheel x-win x-dnd font-setting tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mldrag mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev loaddefs button minibuffer faces cus-face files text-properties
overlay md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
system-font-setting font-render-setting gtk x-toolkit x multi-tty emacs)